SUSE 5001 Published by

A libbpf security update has been released for SUSE Linux Enterprise and openSUSE Leap 15.4.



SUSE-SU-2023:0405-1: important: Security update for libbpf


SUSE Security Update: Security update for libbpf
______________________________________________________________________________

Announcement ID: SUSE-SU-2023:0405-1
Rating: important
References: #1204391 #1204502
Cross-References: CVE-2022-3534 CVE-2022-3606
CVSS scores:
CVE-2022-3534 (NVD) : 8 CVSS:3.1/AV:A/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
CVE-2022-3534 (SUSE): 7.3 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H
CVE-2022-3606 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
CVE-2022-3606 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Affected Products:
SUSE Linux Enterprise Desktop 15-SP4
SUSE Linux Enterprise High Performance Computing 15-SP4 SUSE Linux Enterprise Module for Basesystem 15-SP4 SUSE Linux Enterprise Server 15-SP4
SUSE Linux Enterprise Server for SAP Applications 15-SP4SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
openSUSE Leap 15.4
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.
Description:

This update for libbpf fixes the following issues:

- CVE-2022-3534: Fixed use-after-free in btf_dump_name_dups (bsc#1204391).
- CVE-2022-3606: Fixed null pointer dereference in
find_prog_by_sec_insn() (bsc#1204502).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:
- openSUSE Leap 15.4:

zypper in -t patch openSUSE-SLE-15.4-2023-405=1

- SUSE Linux Enterprise Module for Basesystem 15-SP4:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2023-405=1

Package List:

- openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

libbpf-debugsource-0.5.0-150400.3.3.1
libbpf-devel-0.5.0-150400.3.3.1
libbpf0-0.5.0-150400.3.3.1
libbpf0-debuginfo-0.5.0-150400.3.3.1

- openSUSE Leap 15.4 (x86_64):

libbpf0-32bit-0.5.0-150400.3.3.1
libbpf0-32bit-debuginfo-0.5.0-150400.3.3.1

- SUSE Linux Enterprise Module for Basesystem 15-SP4 (aarch64 ppc64le s390x x86_64):

libbpf-debugsource-0.5.0-150400.3.3.1
libbpf0-0.5.0-150400.3.3.1
libbpf0-debuginfo-0.5.0-150400.3.3.1

References:

  https://www.suse.com/security/cve/CVE-2022-3534.html
  https://www.suse.com/security/cve/CVE-2022-3606.html
  https://bugzilla.suse.com/1204391
  https://bugzilla.suse.com/1204502